:focus {
	outline: none;
}

a.fa {
	cursor: pointer;
	text-decoration: none;
}

.form>.form {
	padding: 0px !important;
}

input {
	border-radius: 0%;
}

a.fa:link,
a.fa:visited,
a.fa:link:active,
a.fa:visited:active {
	color: inherit;
}

.warn,
.warn>input,
.warn>select,
.warn>button {
	border-color: red !important;
}

input.warn,
.warn>input,
.warn>select,
.warn>button,
i.fa.warn:before {
	color: red !important;
}

select option {
	overflow: hidden;
	white-space: nowrap;
	text-overflow: ellipsis;
}

.fa-loading {
	-webkit-animation: fa-spin 1s infinite steps(8);
	animation: fa-spin 1s infinite steps(8);
}

i.fa-loading:before {
	content: "\f110";
}

option:disabled {
	text-decoration: line-through;
	color: rgb(200, 200, 200);
}

.charhighlight {
	/* color: red;
	color: var(--highlight); */
	font-weight: 500;
	font-style: italic;
}

.panel .form {
	display: block;
	position: relative;
	margin-top: 4px;
	margin-right: 0px;
	margin-bottom: 4px;
	margin-left: 0px;
	overflow: hidden;
	height: 25px;
	min-height: 25px;
	line-height: 25px;
}

.panel .form select optgroup[label] {
	font-weight: 500;
}

.panel .form select option:checked {
	font-weight: 500;
	background-color: black;
	color: white;
}

.fa.fa-invert {
	color: white;
	text-shadow: 1px 1px 1px black,
		1px -1px 1px black,
		-1px 1px 1px black,
		-1px -1px 1px black;
}

.selected .fa.fa-invert,
.head .fa.fa-invert,
button:hover .fa.fa-invert {
	color: black;
	text-shadow: 1px 1px 1px white,
		1px -1px 1px white,
		-1px 1px 1px white,
		-1px -1px 1px white;
}

button .fa-singleColumn,
button .fa-multiColumn,
button .fa-meeting,
button .fa-image-distortion {
	width: 25px;
	height: 16px;
}

.fa-singleColumn,
.fa-multiColumn,
.fa-meeting,
.fa-image-distortion {
	background-repeat: no-repeat;
	background-size: contain;
	background-position: center;
}

.fa-singleColumn {
	background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><path fill="black" d="M 25.333,480 H 488 c 13.255,0 24,-10.745 24,-24 v -80 c 0,-13.255 -10.745,-24 -24,-24 H 25.333 c -13.255,0 -24,10.745 -24,24 v 80 c 0,13.255 10.745,24 24,24 z m -24,-424 v 80 c 0,13.255 10.745,24 24,24 H 488 c 13.255,0 24,-10.745 24,-24 V 56 C 512,42.745 501.255,32 488,32 H 25.333 c -13.255,0 -24,10.745 -24,24 z m 24,264 H 488 c 13.255,0 24,-10.745 24,-24 v -80 c 0,-13.255 -10.745,-24 -24,-24 0,0 -261.88978,-0.72397 -462.667,0 -11.313635,0.0408 -24,10.745 -24,24 v 80 c 0,13.255 10.745,24 24,24 z"></path></svg>');
}

.selected .fa-singleColumn,
button:hover .fa-singleColumn {
	background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><path fill="white" d="M 25.333,480 H 488 c 13.255,0 24,-10.745 24,-24 v -80 c 0,-13.255 -10.745,-24 -24,-24 H 25.333 c -13.255,0 -24,10.745 -24,24 v 80 c 0,13.255 10.745,24 24,24 z m -24,-424 v 80 c 0,13.255 10.745,24 24,24 H 488 c 13.255,0 24,-10.745 24,-24 V 56 C 512,42.745 501.255,32 488,32 H 25.333 c -13.255,0 -24,10.745 -24,24 z m 24,264 H 488 c 13.255,0 24,-10.745 24,-24 v -80 c 0,-13.255 -10.745,-24 -24,-24 0,0 -261.88978,-0.72397 -462.667,0 -11.313635,0.0408 -24,10.745 -24,24 v 80 c 0,13.255 10.745,24 24,24 z"></path></svg>');
}

.fa-multiColumn {
	background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><path fill="black" d="m 32.6665,24.6665 v 462.667 c 0,13.255 10.745,24 24,24 h 80 c 13.255,0 24,-10.745 24,-24 V 24.6665 c 0,-13.255 -10.745,-24 -24,-24 h -80 c -13.255,0 -24,10.745 -24,24 z m 424,-24 h -80 c -13.255,0 -24,10.745 -24,24 v 462.667 c 0,13.255 10.745,24 24,24 h 80 c 13.255,0 24,-10.745 24,-24 V 24.6665 c 0,-13.255 -10.745,-24 -24,-24 z m -264,24 v 462.667 c 0,13.255 10.745,24 24,24 h 80 c 13.255,0 24,-10.745 24,-24 0,0 0.72397,-261.88978 0,-462.667 -0.0408,-11.313635 -10.745,-24 -24,-24 h -80 c -13.255,0 -24,10.745 -24,24 z"></path></svg>');
}

.selected .fa-multiColumn,
button:hover .fa-multiColumn {
	background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><path fill="white" d="m 32.6665,24.6665 v 462.667 c 0,13.255 10.745,24 24,24 h 80 c 13.255,0 24,-10.745 24,-24 V 24.6665 c 0,-13.255 -10.745,-24 -24,-24 h -80 c -13.255,0 -24,10.745 -24,24 z m 424,-24 h -80 c -13.255,0 -24,10.745 -24,24 v 462.667 c 0,13.255 10.745,24 24,24 h 80 c 13.255,0 24,-10.745 24,-24 V 24.6665 c 0,-13.255 -10.745,-24 -24,-24 z m -264,24 v 462.667 c 0,13.255 10.745,24 24,24 h 80 c 13.255,0 24,-10.745 24,-24 0,0 0.72397,-261.88978 0,-462.667 -0.0408,-11.313635 -10.745,-24 -24,-24 h -80 c -13.255,0 -24,10.745 -24,24 z"></path></svg>');
}

.fa-image-distortion {
	background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="160" height="140" viewBox="0 0 160 140" version="1.2"><path fill="black" d="M 75,0 160,10 150,140 0,100 Z"></path></svg>');
}

.selected .fa-image-distortion,
.head .fa-image-distortion,
button:hover .fa-image-distortion {
	background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="160" height="140" viewBox="0 0 160 140" version="1.2"><path fill="white" d="M 75,0 160,10 150,140 0,100 Z"></path></svg>');
}

.fa-meeting {
	background-image: url('data:image/svg+xml;base64,PHN2ZyBoZWlnaHQ9JzMwMHB4JyB3aWR0aD0nMzAwcHgnICBmaWxsPSIjMDAwMDAwIiB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHhtbG5zOnhsaW5rPSJodHRwOi8vd3d3LnczLm9yZy8xOTk5L3hsaW5rIiB2ZXJzaW9uPSIxLjEiIHg9IjBweCIgeT0iMHB4IiB2aWV3Qm94PSIwIDAgMTAwIDEwMCIgZW5hYmxlLWJhY2tncm91bmQ9Im5ldyAwIDAgMTAwIDEwMCIgeG1sOnNwYWNlPSJwcmVzZXJ2ZSI+PGc+PGc+PGc+PGc+PHBhdGggZD0iTTY5LDcxaDIuM2gxLjVoOS45YzEuMywwLDIuNC0xLjEsMi40LTIuNFYyMS4zYzAtMS4zLTEuMS0yLjQtMi40LTIuNEgxMy45Yy0xLjMsMC0yLjQsMS4xLTIuNCwyLjR2NDcuNCAgICAgIGMwLDEuMywxLjEsMi40LDIuNCwyLjRoMTAuOGgxLjVoMS41QzMyLjUsNjAuMiw0MS4zLDU0LDQ4LjMsNTRDNTUuMyw1NCw2NC4zLDYwLjIsNjksNzF6IE04OS45LDIxLjN2NDcuNCAgICAgIGMwLDMuOS0zLjIsNy4yLTcuMiw3LjJoLTkuOWgtNUg1Ny4zdjcuM2gxMC42YzAuNSwwLDAuOSwwLjQsMC45LDAuOXYxLjRjMCwwLjUtMC40LDAuOS0wLjksMC45SDI4LjdjLTAuNSwwLTAuOS0wLjQtMC45LTAuOVY4NCAgICAgIGMwLTAuNSwwLjQtMC45LDAuOS0wLjloMTAuNnYtNy4zaC05LjdoLTVIMTMuOWMtMy45LDAtNy4yLTMuMi03LjItNy4yVjIxLjNjMC00LDMuMi03LjIsNy4yLTcuMmg2OC45ICAgICAgQzg2LjcsMTQuMSw4OS45LDE3LjMsODkuOSwyMS4zeiI+PC9wYXRoPjxwYXRoIGQ9Ik00OC4zLDI0LjVjNy4yLDAsMTMsNS45LDEzLDEzYzAsNy4yLTUuOSwxMy0xMywxM2MtNy4xLDAtMTIuOS01LjktMTIuOS0xM0MzNS40LDMwLjMsNDEuMSwyNC41LDQ4LjMsMjQuNXoiPjwvcGF0aD48L2c+PC9nPjwvZz48L2c+PC9zdmc+');
}

.selected .fa-meeting,
.playing .fa-meeting,
.head .fa-meeting,
button:hover .fa-meeting {
	background-image: url('data:image/svg+xml;base64,PHN2ZyBoZWlnaHQ9JzMwMHB4JyB3aWR0aD0nMzAwcHgnICBmaWxsPSIjRkZGRkZGIiB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHhtbG5zOnhsaW5rPSJodHRwOi8vd3d3LnczLm9yZy8xOTk5L3hsaW5rIiB2ZXJzaW9uPSIxLjEiIHg9IjBweCIgeT0iMHB4IiB2aWV3Qm94PSIwIDAgMTAwIDEwMCIgZW5hYmxlLWJhY2tncm91bmQ9Im5ldyAwIDAgMTAwIDEwMCIgeG1sOnNwYWNlPSJwcmVzZXJ2ZSI+PGc+PGc+PGc+PGc+PHBhdGggZD0iTTY5LDcxaDIuM2gxLjVoOS45YzEuMywwLDIuNC0xLjEsMi40LTIuNFYyMS4zYzAtMS4zLTEuMS0yLjQtMi40LTIuNEgxMy45Yy0xLjMsMC0yLjQsMS4xLTIuNCwyLjR2NDcuNCAgICAgIGMwLDEuMywxLjEsMi40LDIuNCwyLjRoMTAuOGgxLjVoMS41QzMyLjUsNjAuMiw0MS4zLDU0LDQ4LjMsNTRDNTUuMyw1NCw2NC4zLDYwLjIsNjksNzF6IE04OS45LDIxLjN2NDcuNCAgICAgIGMwLDMuOS0zLjIsNy4yLTcuMiw3LjJoLTkuOWgtNUg1Ny4zdjcuM2gxMC42YzAuNSwwLDAuOSwwLjQsMC45LDAuOXYxLjRjMCwwLjUtMC40LDAuOS0wLjksMC45SDI4LjdjLTAuNSwwLTAuOS0wLjQtMC45LTAuOVY4NCAgICAgIGMwLTAuNSwwLjQtMC45LDAuOS0wLjloMTAuNnYtNy4zaC05LjdoLTVIMTMuOWMtMy45LDAtNy4yLTMuMi03LjItNy4yVjIxLjNjMC00LDMuMi03LjIsNy4yLTcuMmg2OC45ICAgICAgQzg2LjcsMTQuMSw4OS45LDE3LjMsODkuOSwyMS4zeiI+PC9wYXRoPjxwYXRoIGQ9Ik00OC4zLDI0LjVjNy4yLDAsMTMsNS45LDEzLDEzYzAsNy4yLTUuOSwxMy0xMywxM2MtNy4xLDAtMTIuOS01LjktMTIuOS0xM0MzNS40LDMwLjMsNDEuMSwyNC41LDQ4LjMsMjQuNXoiPjwvcGF0aD48L2c+PC9nPjwvZz48L2c+PC9zdmc+');
}

.fa-instagram_business_account:before {
	content: "\f16d";
}

.fa-infinity:before {
	content: "∞";
	font-family: monospace;
	font-size: 25px;
}

.clamp-2,
.clamp-3,
.clamp-4 {
	display: -webkit-box;
	-webkit-box-orient: vertical;
	overflow: hidden;
}

.clamp-2 {
	line-clamp: 2;
	-webkit-line-clamp: 2;
}

.clamp-3 {
	line-clamp: 3;
	-webkit-line-clamp: 3;
}

.clamp-4 {
	line-clamp: 4;
	-webkit-line-clamp: 4;
}

.custom-tooltip {
	position: absolute;
	display: block;
	pointer-events: none;
	color: black;
	width: auto;
	min-width: 100px;
	max-width: 350px;
	padding: 10px;
	overflow: hidden;
	border: 1px solid var(--dark);
	background-color: var(--medium-light);
	border-radius: 5px;
	word-break: keep-all;
	text-align: center;
}

.custom-tooltip p,
.custom-tooltip h2 {
	margin: 5px 0px;
	word-break: keep-all;
}

@-webkit-keyframes fadein {
	100% {
		opacity: 1;
	}
}

@keyframes fadein {
	100% {
		opacity: 1;
	}
}

.custom-tooltip {
	opacity: 0;
	animation-name: fadein;
	animation-duration: 0.7s;
	animation-delay: 0.7s;
	animation-direction: normal;
	animation-fill-mode: forwards;
}

.ui-widget-header {
	border: 1px solid #1d2d44;
	border: 1px solid var(--darker);
	background-color: rgb(66, 81, 101);
	background-color: var(--medium);
	color: white;
	font-weight: bold;
}

.ui-widget-shadow {
	box-shadow: 1px 1px 8px #1d2d44;
	box-shadow: 1px 1px 8px var(--darker);
}

.ui-widget-content {
	border: 1px solid #fefefe;
	background: #D9E0F0;
	background: var(--medium-light) !important;
	color: #1d2d44;
	color: var(--darker);
	word-wrap: break-word;
}

.ui-widget-overlay {
	background: #334256;
	background: var(--darker);
	opacity: .7;
	filter: Alpha(Opacity=70)
}

.ui-state-hover a,
.ui-state-hover a:hover,
.ui-state-hover a:link,
.ui-state-hover a:visited,
.ui-state-focus a,
.ui-state-focus a:hover,
.ui-state-focus a:link,
.ui-state-focus a:visited,
a.ui-button:hover,
a.ui-button:focus {
	color: #fafafa;
	color: var(--lighter);
	text-decoration: none
}

.ui-state-hover,
.ui-widget-content .ui-state-hover,
.ui-widget-header .ui-state-hover,
.ui-state-focus,
.ui-widget-content .ui-state-focus,
.ui-widget-header .ui-state-focus,
.ui-button:hover,
.ui-button:focus,
.ui-widget-header .ui-state-hover,
.ui-state-focus,
.ui-widget-content .ui-state-focus,
.ui-widget-header .ui-state-focus,
.ui-button:hover,
.ui-button:focus,
.ui-state-active,
.ui-widget-content .ui-state-active,
.ui-widget-header .ui-state-active,
a.ui-button:active,
.ui-button:active,
.ui-button.ui-state-active:hover {
	border: 1px solid #f0f0f0;
	background: #334256;
	background: var(--dark);
	font-weight: normal;
	color: #f0f0f0;
	color: var(--lighter);
}

.ui-resizable-disabled .ui-resizable-handle {
	pointer-events: none;
	visibility: hidden;
}

div,
ul,
li {
	box-sizing: border-box;
}

ul.ui-sortable {
	list-style-type: none;
	margin: 0;
	padding: 0;
}

.ui-resizable-e {
	width: 14px;
}

a.fa,
button.fa,
select.fa {
	font-family: inherit !important;
	/* 'Open Sans', sans-serif; 
	 font-size: inherit !important;	 */
}

.chris div.card-body button {
	padding-top: 0px !important;
}

a.fa:before,
button.fa:before,
select.fa:before {
	font: normal normal normal 14px/1 FontAwesome;
}

a.fa:not(:empty):before,
button.fa:not(:empty):before,
select.fa:not(:empty):before {
	margin-right: 5px;
}

.wnd,
body.CM {
	font-family: 'Open Sans', sans-serif;
	line-height: 140%;
	position: absolute;
	margin: 0px;
	padding: 0px;
	display: block;
	width: 100%;
	height: 100%;
	overflow: hidden;
}

body.CM div #header .navbar-brand {
	display: flex;
	justify-content: flex-start;
	flex-wrap: nowrap;
	align-items: center;
	font-size: 16px;
	line-height: 18px;
	width: 100%;
	height: 100%;
}

body.CM div#screen-editor #header .navbar-brand {
	width: calc(100% - 178px);
}

body.CM #header .navbar-brand>img#oemlogo {
	margin-right: 15px;
	margin-left: 21px;
	border: 0px;
	width: auto;
	max-height: 40px;
}

body.CM #header .navbar-brand>span#logotext {
	flex-grow: 1;
	white-space: nowrap;
	text-overflow: ellipsis;
	overflow: hidden;
	padding: 10px 0px;
}

.strong {
	font-size: 13px;
}

*:not(.htmltext-preview)>b,
.strong {
	font-weight: 500 !important;
}

@media screen and (min-width: 1921px) {

	.wnd,
	body.CM {
		font-size: 13px;
	}

}

@media screen and (max-width: 1920px) {

	.wnd,
	body.CM {
		font-size: 12px;
	}
}

.sortable-x-placeholder {
	display: block;
	float: left;
}

div #header,
div #footer {
	position: absolute;
	width: 100%;
	margin: 0px;
}

div #header {
	height: 50px;
	color: white;
	color: var(--lighter);
	background: #1d2d44;
	background: var(--darker);
	top: 0px;
	padding: 0px;
	border-bottom: 1px solid rgba(0, 0, 0, .5);
	border-bottom: 1px solid var(--trans-black);
	display: block;
}

div #footer {
	display: flex !important;
	flex-wrap: nowrap;
	justify-content: space-between;
	align-items: stretch;
	background-color: rgb(29, 45, 68);
	background-color: var(--darker);
	color: rgb(239, 239, 239);
	color: var(--lighter);
	font-size: 14px;
	height: 40px;
	line-height: 20px;
	border-collapse: collapse;


}

div #footer #status {
	flex: 1 1 0%;
	position: relative;
	white-space: nowrap;
	text-align: center;
	margin-left: 20px;
	margin-right: 20px;
	overflow: hidden;
}

#header button,
#header select,
#footer button {
	min-width: 33px;
	height: 100%;
	color: inherit;
	font-size: 14px;
	border-radius: 10px;
	background: transparent !important;
	appearance: none;
	-moz-appearance: none !important;
	-webkit-appearance: none;
	cursor: pointer;
	border: none !important;

	margin: 0px 5px 0px 0px;
	float: left;
	position: relative;
}

#header select option {
	color: white;
	background: #1d2d44 !important;
	background: var(--darker) !important;
}

#header button,
#footer button {
	padding: 0px;
}

#header button i.fa,
#footer button i.fa {
	display: table-cell !important;
	top: 0px;
	left: 0px;
	width: 33px;
	height: inherit;
	line-height: 1;
	-webkit-font-smoothing: antialiased;
	text-decoration: inherit;
	text-align: center;
	vertical-align: middle;
	font-size: 20px !important;
	color: inherit;
}

#footer #buttons {
	position: relative;
	right: 2px;
	top: 0px;
	height: inherit;
	background: inherit;
}

#footer div#user {
	position: relative;
	left: 2px;
	top: 0px;
	height: inherit;
}

#footer div#user button span {
	height: 100%;
}

#footer div#user button span:first-child {
	background-repeat: no-repeat;
	background-size: cover;
	background-position: center;
	padding: 0px;
	width: 32px;
	height: 32px;
	border: 1px solid var(--font-over-medium);
}

#footer div#user span:last-child {
	padding-left: 8px;
}

#header button span,
#footer button span {
	white-space: nowrap;
	display: table-cell !important;
	pointer-events: auto;
	-webkit-font-smoothing: antialiased;
	vertical-align: middle;
	padding-right: 5px;
}

#header select {
	padding: 0px 5px 0px 5px;
}

#header button[name="language"] {
	margin-right: -5px;
}

div #header>div {
	top: 8px;
}

table.evenodd {
	table-layout: fixed;
	width: 100%;
}

table.evenodd tr th {
	font-weight: 500;
	background: var(--light);
}

table.evenodd tr th,
table.evenodd tr td {
	padding: 10px;
}

table.evenodd tr th label {
	font-weight: 500;
}

table.evenodd tr td label:not(.strong) {
	font-weight: normal;
}

table.evenodd tr th label,
table.evenodd tr td label {
	overflow: hidden;
	text-overflow: ellipsis;
	white-space: nowrap;
}

table.evenodd tr:nth-child(even) {
	background: rgba(0, 0, 0, .05)
}

video::-internal-media-controls-download-button {
	display: none;
}

video::-webkit-media-controls-enclosure {
	overflow: hidden;
}

video::-webkit-media-controls-panel {
	width: calc(100% + 30px);
	/* Adjust as needed */
}

/*  PLAYLISTANDGROUPCONTROL */
table#playlistandgroupcontrol {
	-webkit-border-horizontal-spacing: 2px;
	-webkit-border-vertical-spacing: 2px;
}

.fa.fa-adblock-share:before {
	content: "\f064";
}

.fa.fa-adblock-share-alt:before {
	content: "\f1e0";
}

tr[data-group="playlist-groups"] td.playlistgroups.selected {
	color: var(--light) !important;
	background: #1d2d44;
	background: var(--darker) !important;
}

tr[data-group="playlist-groups"] td.playlistgroups.selected button.plgroup {
	display: none;
}

tr[data-group="playlist-groups"] td.playlistgroups:not(.selected) input.plgroup {
	display: none;
}

tr[data-group="playlist-groups"] td.playlistgroups button.plgroup,
tr[data-group="playlist-groups"] td.playlistgroups input.plgroup {
	margin-left: 5px;
	margin-right: 5px;
	flex: 1 1 0%;
}

tr[data-group="playlist-groups"] td.playlistgroups.selected input.plgroup:disabled {
	color: inherit !important;
	background-color: inherit !important;
	opacity: 1;
}

tr[data-group="playlist-groups"] input[type=checkbox].trash:not(old)+label:before {
	content: "\f1f8";
}

tr[data-group="playlist-groups"] input[type=checkbox].trash:not(old):checked+label:before {
	content: "\f014";
}

#playlistandgroupcontrol.pg_container {
	display: flex;
	flex-flow: row nowrap;
	width: 100%;
	height: 100%;
	overflow: hidden;
	margin: 0px;
	padding: 0px;
}

#playlistandgroupcontrol.pg_container .oneline {
	overflow: hidden;
	text-overflow: ellipsis;
	white-space: nowrap;
}

#playlistandgroupcontrol .pg_list {
	flex-grow: 1;
	height: 100%;
	overflow: hidden;
	margin: 0px;
	padding: 0px;
}

#playlistandgroupcontrol .pg_head {
	width: 100%;
	height: 40px;
	color: black;
	background: var(--light);
}

#playlistandgroupcontrol .pg_scroll span.charhighlight {
	color: red;
}

#playlistandgroupcontrol .pg_head input[type="search"] {
	width: 100%;
	box-sizing: border-box;
}

#playlistandgroupcontrol .pg_scroll {
	height: calc(100% - 40px);
	overflow-x: hidden;
	overflow-y: auto;
}

#playlistandgroupcontrol .pg_list.pg_groups .pg_head,
#playlistandgroupcontrol .pg_list.pg_groups .pg_scroll {
	width: calc(100% - 10px);
}

#playlistandgroupcontrol .pg_list.pg_lists .pg_scroll {
	width: 100%;
}

#playlistandgroupcontrol .pg_list.pg_groups .ui-resizable-handle.ui-resizable-e {
	background-color: rgba(0, 0, 0, .05);
	width: 8px;
	right: 1px;
}

#playlistandgroupcontrol .pg_scroll table {
	table-layout: fixed;
	width: 100%;
	height: auto;
}

#playlistandgroupcontrol .pg_list .oneline input[type=checkbox]:not(old)+label {
	font-weight: normal;
}

#playlistandgroupcontrol .pg_list .oneline input[type=checkbox]:not(old):checked+label {
	font-weight: 500;
}

#playlistandgroupcontrol .pg_list .oneline button:not(.fa),
.pg_list .oneline label {
	width: 100%;
	/* height: 20px;
	padding: 2px; */
	text-overflow: ellipsis;
	overflow: hidden;
}

.pg_list .oneline label {
	display: block;
	height: 25px;
}

#playlistandgroupcontrol * {
	-webkit-box-sizing: content-box;
	-moz-box-sizing: content-box;
	box-sizing: content-box;
}

#playlistandgroupcontrol input[type=checkbox]:not(old)+label span,
input[type=checkbox]:not(old):checked+label span {
	margin-left: 1px;
	margin-top: -3px;
	max-width: 250px;
	display: inline-block;
	white-space: nowrap;
	text-overflow: ellipsis;
}

tr[data-group="playlist-groups"] td.playlistgroups.selected,
#playlistandgroupcontrol button.selected {
	color: var(--light);
	background: #1d2d44;
	background: var(--darker);
}

/*
tr[data-group="playlist-groups"] td.playlistgroups.selected:not(.single) input[type=checkbox].trash:not(old) + label{
	pointer-events:none;
}*/
tr[data-group="playlist-groups"] td.playlistgroups.selected:not(.single) input[type=checkbox].trash:not(old)+label:before {
	content: "\f061";
}

#playlistandgroupcontrol button {
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
	cursor: pointer;
	height: inherit;
	color: inherit;
	background: transparent;
	border: none;
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
	padding-left: 6px;
	padding-right: 6px;
}

#playlistandgroupcontrol button.deleted {
	background: transparent;
	border: none;
	text-decoration: line-through;
	pointer-events: none;
}

/*  PLAYLISTANDGROUPCONTROL */


.columns {
	-webkit-column-gap: 10;
	-moz-column-gap: 10;
	column-gap: 10;
	-webkit-column-count: 1;
	-moz-column-count: 1;
	column-count: 1;
}

@media all and (min-width:580px) {
	.columns {
		-webkit-column-count: 2;
		-moz-column-count: 2;
		column-count: 2;
	}
}

@media all and (min-width:780px) {
	.columns {
		-webkit-column-count: 3;
		-moz-column-count: 3;
		column-count: 3;
	}
}

@media all and (min-width:980px) {
	.columns {
		-webkit-column-count: 4;
		-moz-column-count: 4;
		column-count: 4;
	}
}

input[type=checkbox].padding:not(old)+label,
input[type=radio].padding:not(old)+label,
.columns input[type=checkbox]:not(old)+label,
.columns input[type=radio]:not(old)+label {
	white-space: normal !important;
	padding-left: 20px !important;
}

input[type=checkbox].padding:not(old)+label:before,
input[type=radio].padding:not(old)+label:before,
.columns input[type=checkbox]:not(old)+label:before,
.columns input[type=radio]:not(old)+label:before {
	margin-left: -20px;
}


ul li button i.fa:before,
span.selectbox:after,
button.awesome:not(old)+label:before,
input[type=checkbox]:not(old)+label:before,
input[type=radio]:not(old)+label:before {
	display: inline-block;
	font: normal normal normal 14px/1 FontAwesome;
	text-rendering: auto;
	-webkit-font-smoothing: antialiased;
	height: inherit;
	line-height: inherit;
	width: 20px;
	text-indent: 0px;
}

label,
li.ui-state-default.page {
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	-khtml-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

button.awesome:not(old),
input[type=checkbox]:not(old),
input[type=radio]:not(old) {
	width: 0px;
	height: 25px;
	margin: 0;
	padding: 0px;
	font-size: 14px;
	opacity: 0;
	display: none;
}

ul li button i,
button.awesome:not(old)+label,
select.awesome:not(old)+label,
input[type=checkbox]:not(old)+label,
input[type=radio]:not(old)+label {
	display: inline-block;
	padding: 0px;
	cursor: pointer;
	line-height: 25px !important;
	/* margin: 0px 0px 0px 0px !important; */
}

.form.flex {
	display: flex;
	width: 100%;
	height: 25px;
	flex-wrap: nowrap;
	justify-content: space-between;
	padding: 0px 5px 0px 5px;
}

.form button.awesome:not(old)+label {
	margin: 0px;
}

button.awesome:not(old):disabled+label {
	cursor: default;
}

input[type=checkbox]:not(old):disabled+label,
input[type=radio]:not(old):disabled+label {
	opacity: .3;
	cursor: default;

}

button.awesome :not(old)+label span,
input[type=checkbox]:not(old)+label span,
input[type=checkbox]:not(old):checked+label span,
input[type=radio]:not(old)+label span,
input[type=radio]:not(old):checked+label span {
	left: 22px;
	top: 0px;



}

select.awesome.plus:not(old)+label:before,
button.awesome.plus:not(old)+label:before {
	content: "\f058";
}

button.awesome.okay:not(old)+label:before {
	color: green;
	content: "\f058";
}

button.awesome.warn:not(old)+label:before {
	color: red;
	content: "\f071";
}

button.awesome.database:not(old)+label:before {
	content: "\f1c0";
}

button.awesome.user-circle-o:not(old)+label:before {
	content: "\f2be";
}

button.awesome.adblock-share-square-o:not(old)+label:before {
	content: "\f045";
}

button.awesome.adblock-share-alt:not(old)+label:before {
	content: "\f1e0";
}

button.awesome.adblock-share-alt:not(old)+label:before {
	content: "\f1e0";
}

button.awesome.external-link-square:not(old)+label:before {
	content: "\f14c";
}

button.awesome.sun-o:not(old)+label:before {
	content: "\f185";
}

button.awesome.calendar:not(old)+label:before {
	content: "\f073";
}

button.awesome.soccer-ball-o:not(old)+label:before {
	content: "\f1e3";
}

button.awesome.rss-square:not(old)+label:before {
	content: "\f143";
}

button.awesome.facebook-official:not(old)+label:before {
	content: "\f230";
}

button.awesome.instagram:not(old)+label:before {
	content: "\f16d";
}

button.awesome.twitter:not(old)+label:before {
	content: "\f099";
}


span.selectbox {
	overflow: hidden;
	height: 25px;
	position: relative;
	display: block;
}

span.selectbox>select {
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
}

span.selectbox:after {
	position: absolute;
	right: 1px;
	top: 1px;
	z-index: 1;
	width: 23px;
	height: 23px;
	line-height: 25px;
	pointer-events: none;
	background-color: white;
	text-align: center;
}

span.selectbox.plus:after {
	content: "\f067";
}

.form.merge-input-button {
	display: flex;
	flex-wrap: nowrap;
	justify-content: space-between;
}

.form.merge-input-button>* {
	background: white;
	border-width: 1px;
	border-radius: 0px;
	border-color: black;
	border-color: var(--dark);
	border-top-style: solid;
	border-bottom-style: solid;
	border-left-style: none;
	border-right-style: none;
}

.form.merge-input-button>*:first-child {
	border-left-style: solid;
}

.form.merge-input-button>*:last-child {
	border-right-style: solid;
}

.form.merge-input-button>input,
.form.merge-input-button>select {
	flex-grow: 1;
}

.form.merge-input-button>button {
	width: 25px;
	padding: none !important;
}

.flex-center {
	display: flex;
	justify-content: center;
	align-items: center;
}

@keyframes fa-beat {
	0%,
	90% {
		transform: scale(1);
	}

	45% {
		transform: scale(1.25);
	}
}

.fa-beat {
	animation-name: fa-beat;
	animation-delay: var(--fa-animation-delay, 0s);
	animation-direction: var(--fa-animation-direction, normal);
	animation-duration: var(--fa-animation-duration, 1s);
	animation-iteration-count: var(--fa-animation-iteration-count, infinite);
	animation-timing-function: var(--fa-animation-timing, ease-in-out);
}